Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 17854

Description

I am trying to clip a landsat image with a rectangular polygon (TIF and shapefile respectively). The process exits with an error. Upon

further investigation I saw that the QGis module links to the a SAGA script which successfully imports the TIF and shapefile, converts the

TIF to SAGA binary format, successfully cuts the raster image, but fails to re-convert the SAGA binary image to TIF format. 

The reason can be seen below in the final part of the process: basically the output format of the GDAL Export Raster is "ELAS" which fails

to export. Is there a simple way to force the GDAL export module in SAGA script to use GTiff format??

Grid system: 30; 550x 484y; 712530x 5137500y

Grid(s): 1 object (aa.tif))

File: D:/aa.tif

Format: ELAS

Data Type: match input data

_

error: Could not create dataset.

error: executing module [GDAL: Export Raster]_

Thanks for any tips (PS the objective is to clip 200 Landsat Images using a single shapefile automatically using QGis)

Francesco

History

#1 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-11-17 11:38 PM - Alexander Bruy

- Category changed from 94 to Processing/SAGA

#3 - 2015-06-01 08:34 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed

fixed a long ago.
